/* registration code for setting up the filename conversion plugin */
{
   extern DATEDIT_MENU_INFO datfname_type_menu;

   datedit_register_menu(&datfname_type_menu);
}

/* registration code for setting up the interactive region grab plugin */
{
   extern DATEDIT_MENU_INFO datgrab_grabber_menu;
   extern DATEDIT_MENU_INFO datgrab_boxgrab_menu;
   extern DATEDIT_MENU_INFO datgrab_ungrab_menu;

   datedit_register_menu(&datgrab_grabber_menu);
   datedit_register_menu(&datgrab_boxgrab_menu);
   datedit_register_menu(&datgrab_ungrab_menu);
}

/* registration code for setting up the grab-from-grid plugin */
{
   extern DATEDIT_MENU_INFO datgrid_griddler_menu;
   extern DATEDIT_MENU_INFO datgrid_autocrop_menu;
   extern void datgrid_init(void);

   datedit_register_menu(&datgrid_griddler_menu);
   datedit_register_menu(&datgrid_autocrop_menu);

   datgrid_init();
}

/* registration code for setting up the bitmapped image plugin */
{
   extern DATEDIT_OBJECT_INFO datbitmap_info;
   extern DATEDIT_GRABBER_INFO datbitmap_grabber;

   extern DATEDIT_OBJECT_INFO datrlesprite_info;
   extern DATEDIT_GRABBER_INFO datrlesprite_grabber;

   datedit_register_object(&datbitmap_info);
   datedit_register_grabber(&datbitmap_grabber);

   datedit_register_object(&datrlesprite_info);
   datedit_register_grabber(&datrlesprite_grabber);
}

/* registration code for setting up the image format conversion plugin */
{
   extern DATEDIT_MENU_INFO datitype_depth_menu;

   datedit_register_menu(&datitype_depth_menu);
}

